Skip to main content
GET
/
api
/
automations
List automations
curl --request GET \
  --url https://app.outlit.ai/api/automations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.outlit.ai/api/automations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.outlit.ai/api/automations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "ok": true,
  "commandId": "<string>",
  "commandVersion": 123,
  "correlationId": "<string>",
  "result": {
    "operationId": "<string>",
    "status": "<string>",
    "resources": [
      {
        "type": "<string>",
        "id": "<string>"
      }
    ],
    "data": {
      "automations": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "key": "<string>",
          "name": "<string>",
          "description": "<string>",
          "enabled": true,
          "triggerJson": "<unknown>",
          "audienceFilterJson": "<unknown>",
          "schemaVersion": "<string>",
          "configHash": "<string>",
          "archivedAt": "2023-11-07T05:31:56Z",
          "lastRunAt": "2023-11-07T05:31:56Z",
          "nextRunAt": "2023-11-07T05:31:56Z",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "signals": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "key": "<string>",
              "name": "<string>",
              "description": "<string>",
              "definition": "<unknown>",
              "schemaVersion": "<string>",
              "configHash": "<string>",
              "archivedAt": "2023-11-07T05:31:56Z",
              "createdAt": "2023-11-07T05:31:56Z",
              "updatedAt": "2023-11-07T05:31:56Z"
            }
          ],
          "destinations": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "key": "<string>",
              "name": "<string>",
              "description": "<string>",
              "enabled": true,
              "maskedConfig": {},
              "lastSyncedAt": "2023-11-07T05:31:56Z",
              "providerErrorCode": "<string>",
              "providerErrorMessage": "<string>",
              "isDefault": true,
              "schemaVersion": "<string>",
              "configHash": "<string>",
              "archivedAt": "2023-11-07T05:31:56Z",
              "createdAt": "2023-11-07T05:31:56Z",
              "updatedAt": "2023-11-07T05:31:56Z"
            }
          ],
          "activeSignalCount": 1,
          "activeDestinationCount": 1,
          "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ]
    },
    "warnings": [
      "<string>"
    ],
    "auditId": "<string>"
  }
}
{
  "error": "Invalid credentials"
}
{
  "ok": true,
  "commandId": "<string>",
  "commandVersion": 2,
  "error": {
    "message": "<string>",
    "correlationId": "<string>",
    "retryable": true,
    "details": {}
  }
}
{
  "error": "Internal server error"
}
{
  "ok": true,
  "commandId": "<string>",
  "commandVersion": 2,
  "error": {
    "message": "<string>",
    "correlationId": "<string>",
    "retryable": true,
    "details": {}
  }
}

Authorizations

Authorization
string
header
required

Outlit API key using the Bearer ok_... format.

Response

Configured automations were returned.

ok
boolean
required
commandId
string
required
Allowed value: "automation.list"
commandVersion
integer
required
correlationId
string
required
result
object
required